.home__main-content {
    display: flex;
    flex-direction: row;
   transition: all .3s ease-in-out;

}

.home__main-margin{
    margin-left: 250px;
   transition: all .4s ease-in-out;

 
}



.home__sidebar {
    position: absolute;
    background-color: white;
    color: $grey-dark;
    display: flex;
    z-index: 500;

    flex-direction: column;
    height: 100vh;
    width: 250px;
    box-shadow: 10px 3px 15px rgba(0, 0, 0, 0.05);

  


    background-image: url('../assets/svgbubbles.svg');
    background-repeat: no-repeat;
    background-attachment: local;
    background-size: 400px 400px;
    background-position: -60px 420px;
    transition: all .4s ease-in-out;



}


.home__sidebar-open{
   left: 0px;
   transition: all .4s ease-in-out;//sirvió, no tocar


}

.home__screen-content{
    overflow-x: auto;
    margin-top: 60px;
}

.home__sidebar-close{
 left: -250px;
 transition: all .4s ease-in-out; //sirvió, no tocar


}


#element-toggle:not(:checked) ~ .home__sidebar {
    right:-700px;
}

.home__sidebar-navbar {
    margin-top: 20px;
    margin-bottom: 20px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.home__sidebar-navbar>h3 {
    font-weight: bolder;
    font-family: 'Raleway';
    color: $primary;
    text-align: center;



}

.home__sidebar-navbar-items {
    align-items: flex-start;

    hr {
        background-color: $light-grey;
        height: 1px;
        border: none;
        margin-right: 20px;
    }


}

.home__sidebar-item.home__sidebar-item-active {
    text-decoration: none;
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    font-weight: bold;
    background-color: $purple-medium;



    svg {
        padding-left: 15px;

        fill: white;
        width: 25px;
        height: 25px;

    }

    p {
        padding-top: 15px;
        padding-bottom: 15px;

        color: white;
        margin-left: 5px;
        font-weight: 600;
    }

}

.home__sidebar-item {
    text-decoration: none;
    background-color: white;

    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    font-weight: bold;
    transition: background-color .5s ease;

    svg {
        padding-left: 15px;

        fill: $grey-medium;
        width: 25px;
        height: 25px;
        transition: fill .3s ease;

    }

    &:hover {
        background-color: $primary;

        svg {
            fill: white;

        }

        p {
            color: white;

        }
    }



    p {
        padding-top: 15px;
        padding-bottom: 15px;

        color: $grey-medium;
        margin-left: 5px;
        font-weight: 600;
        transition: color .5s ease;
    }


}


.home__logout {

    display: flex;
    flex-direction: row;
    align-self: flex-end;
    background-color: $secondary;
    border: 0px;
    border-radius: 5px;
    font-size: 15px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 30px;

    p {
        color: white;
        margin-left: 5px;

    }

    svg {
        fill: white;
    }

}

.home__decoration-sidebar {
    background-image: url('../assets/bubbles.svg');
    fill: aqua;
    height: 100%;
    background-size: 100% 100%;
    -webkit-background-size: 100% 100%;
    background-size: cover;



}

.home__new-entry {
    align-items: center;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-top: 30px;
    width: 100%;
    transition: color .3s ease;

    &:hover {
        color: darken($color: white, $amount: 20);
    }
}

.home__entries {
    flex: 1 1 auto;
    margin-top: 30px;
    overflow-y: scroll;
}

.home__entries::-webkit-scrollbar {
    width: 5px;

}

.home__entries::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);

}

.home__entries::-webkit-scrollbar-thumb {
    background-color: darken($color: $primary, $amount: 20);
    border-radius: 100px;
    height: 10px;
}

.home__entry {
    background-color: white;
    border-radius: 4px;
    color: $dark-grey;
    display: flex;
    margin-bottom: 10px;
    overflow: hidden;
}

.home__entry-picture {
    height: 75px;
    width: 75px;
}

.home__entry-body {
    padding: 10px;
}

.home__entry-title {
    font-size: 14px;
    font-weight: bold;
}

.home__entry-content {
    font-size: 10px;

}

.home__entry-date-box {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 5px;
}

.home__entry-date-box span {
    font-size: 12px;

}

.home__sidebar-avatar {
    width: 78px;
    height: 78px;
    border-radius: 100px;
    margin: auto;

    display: block;
}

.home__sidebar-avatar-border {
    background: linear-gradient(180deg, $primary, $purple-medium 100%);
    width: 85px;
    height: 85px;
    border-radius: 100px;

    display: flex;
}

.home__appbar {
    margin:0px;
    display: flex;
    align-items: center;
    position: fixed;


    background-color: white;
    z-index: 500;
    box-shadow: 3px 15px 15px rgba(0, 0, 0, 0.05);

    // background:  linear-gradient( -90deg,$primary,$purple-medium 100%);
    height: 60px;
    width: 100%;
   transition: all .3s ease-in-out;


    svg {
        margin-left: 10px;
        fill: $primary;
        font-size: 35px;
        border-radius: 5px;
 
    }

    h2 {
        margin-left: 10px;
        font-weight: bolder;
        color: $primary;
        font-family: 'Raleway' , sans-serif;

    }
}

.home__waiting{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
   height: 100vh;
    background-image: url('../assets/loading.svg');
    background-repeat: no-repeat;
    background-position: top center;
    background-size: 500px 500px;
    & > * + * {
        margin-top: 50px,
      }
    h1{
        padding-top: 450px;
        color: $grey-medium;

    }
}